<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= toolbar title: @version.name do %>
  <% if authorize_for(:versions, :edit) %>
    <li class="toolbar-item">
      <%= link_to(edit_version_path(@version), class: 'button') do %>
        <%= op_icon('button--icon icon-edit') %>
        <span class="button--text"><%= t(:button_edit) %></span>
      <% end %>
    </li>
  <% end %>
  <% if authorize_for(:versions, :destroy) %>
    <li class="toolbar-item">
      <%= link_to version_path(@version),
                  method: :delete,
                  data: { confirm: t(:text_are_you_sure) },
                  class: "button -danger" do %>
        <%= op_icon 'button--icon icon-delete' %>
        <span class="button--text"><%= t(:button_delete) %></span>
      <% end %>
    </li>
  <% end %>
  <% if authorize_for(:wiki, :edit) && !(@version.wiki_page_title.blank? || @version.project.wiki.nil?) %>
    <li class="toolbar-item hidden-for-tablet">
      <%= link_to({ controller: '/wiki', action: 'edit',
                    project_id: @version.project,
                    id: @version.wiki_page_title },
                  class: 'button') do %>
        <%= op_icon('button--icon icon-edit') %>
        <span class="button--text"><%= t(:button_edit_associated_wikipage, page_title: truncate(@version.wiki_page_title, length: 50, separator: ' ')) %></span>
      <% end %>
    </li>
  <% end %>
  <%= call_hook(:view_versions_show_contextual, { version: @version, project: @project }) %>
<% end %>

<div class="widget-boxes -grid">
  <div class="widget-box -thin">
    <%= render partial: 'versions/overview', locals: { version: @version } %>
  </div>

  <% if @version.estimated_hours > 0 || User.current.allowed_in_project?(:view_time_entries, @project) %>
    <div class="widget-box -thin">
      <fieldset class="form--fieldset">
        <legend class="form--fieldset-legend"><%= t(:label_estimates_and_progress) %></legend>
        <table>
          <tr>
            <td width="130px" align="right"><%= Version.human_attribute_name(:estimated_hours) %></td>
            <td width="240px" class="total-hours" align="right"><%= html_hours(l_hours(@version.estimated_hours)) %></td>
          </tr>
          <% if User.current.allowed_in_project?(:view_time_entries, @project) %>
            <tr>
              <td width="130px" align="right"><%= t(:label_spent_time) %></td>
              <td width="240px" class="total-hours" align="right"><%= html_hours(l_hours(@version.spent_hours)) %></td>
            </tr>
          <% end %>
        </table>
      </fieldset>
    </div>
  <% end %>

  <% if @version.wiki_page %>
    <div class="widget-box -thin -wider">
      <%= render(partial: "wiki/text", locals: { page: @version.wiki_page }) if @version.wiki_page %>
    </div>
  <% end %>

  <% if @issues.present? %>
    <div class="widget-box -thin -wider">
      <% if @issues.present? %>
        <fieldset class="form--fieldset related_issues">
          <legend class="form--fieldset-legend"><%= t(:label_related_work_packages) %></legend>
          <ul>
            <% @issues.each do |issue| -%>
              <li><%= link_to_work_package(issue, project: issue.project != @version.project) %></li>
            <% end -%>
          </ul>
        </fieldset>
      <% end %>
    </div>
  <% end %>

  <% if @version.work_packages.count > 0 %>
    <div class="widget-box -thin -wider">
      <wp-overview-graph
        global-scope='<%= @version.systemwide? %>'
        initial-filters='<%= version_wp_overview_graph_initial_filters(@version) %>'>
      </wp-overview-graph>
    </div>
  <% end %>
</div>
<%= call_hook :view_versions_show_bottom, version: @version %>

<% html_title h(@version.name) %>
